package com.lanyun.wanglaotou.dao

enum class EConfigType(val value: Int, val protocolScheme: String) {
    VMESS(1, "v2ray"),
    CUSTOM(2, ""),
    SHADOWSOCKS(3, "shadowsocks"),
    SOCKS(4, "socks://"),
    VLESS(5, "vless://"),
    TROJAN(6, "trojan");

    companion object {
        fun fromInt(value: Int) = values().firstOrNull { it.value == value }
    }
}
