package com.lanyun.wanglaotou.model

import androidx.annotation.Keep

@Keep
data class NodeModel(
    val created_at: Int,
    val dnsSettings: Any,
    val group_id: List<String>,
    val host: String,
    val id: Int,
    val last_check_at: String,
    var name: String,
    val network: String,
    val networkSettings: Any,
    val parent_id: Any,
    val port: Int,
    val rate: String,
    val route_id: Any,
    val ruleSettings: Any,
    val rules: Any,
    val server_port: Int,
    val show: Int,
    val sort: Int,
    val tags: List<String>?,
    val tls: Int,
    val tlsSettings: TlsSettings?,
    val type: String,
    val updated_at: Int,
    val cipher:String?,
)

data class TlsSettings(
    val allowInsecure: String,
    val serverName: String
)