package com.lanyun.wanglaotou.model

import androidx.annotation.Keep

@Keep
data class UserSubModel(
    val d: Long,
    val email: String,
    val expired_at: Int?,
    val plan: Plan,
    val plan_id: Int,
    val reset_day: Int,
    val subscribe_url: String,
    val token: String,
    val transfer_enable: Long,
    val u: Long,
    val uuid: String,
    val paid:Int
)

@Keep
data class Plan(
    val capacity_limit: Any,
    val content: String,
    val created_at: Int,
    val group_id: Int,
    val half_year_price: Int,
    val id: Int,
    val month_price: Int,
    val name: String,
    val onetime_price: Any,
    val quarter_price: Int,
    val renew: Int,
    val reset_price: Int,
    val reset_traffic_method: Any,
    val show: Int,
    val sort: Int,
    val speed_limit: Any,
    val three_year_price: Int,
    val transfer_enable: Int,
    val two_year_price: Int,
    val updated_at: Int,
    val year_price: Int
)