package com.lanyun.wanglaotou.service

import com.lanyun.net.base.NetUrl
import com.lanyun.net.model.BaseResponse

import retrofit2.Call
import retrofit2.http.Field
import retrofit2.http.FormUrlEncoded
import retrofit2.http.POST

interface LoginService {
    //登录
    @FormUrlEncoded
    @POST(NetUrl.USER_LOGIN)
    fun getUserLogin(
        @Field("email")    username: String,
        @Field("password") password: String
    ): Call<BaseResponse>

    //登录
    @FormUrlEncoded
    @POST(NetUrl.USER_REG)
    fun getUserReg(
        @Field("email")    username: String,
        @Field("password") password: String
    ): Call<BaseResponse>


    //登录
    @FormUrlEncoded
    @POST(NetUrl.APP_VERSION)
    fun getAppVersion(
        @Field("from")    username: String,
        @Field("version") password: String
    ): Call<BaseResponse>
}